#!/bin/bash -eux

function template {
    perl -p -e 's/\$\{([^}]+)\}/defined $ENV{$1} ? $ENV{$1} : $&/eg' < $1
}

cd /build
mkdir work
cd work

mkdir openssl
wget -O- -q http://artifact.scc.net.davepedu.com/repo/tar/openssl/openssl/openssl-1.1.1l.tar.gz | tar zxf - -C openssl/ --strip-components=1

# generate debian metadata
mkdir debian
export BUILD_DATE=$(date -R)
template /src/debian/changelog | tee debian/changelog
template /src/debian/control | tee debian/control
cp /src/debian/compat debian/
cp /src/debian/rules debian/
cp /src/Makefile ./

# build the deb
time dpkg-buildpackage -us -uc -b

cd ..
mkdir -p out
mv *.deb out/
cd out
sha256sum *
